On Mon, 2002-06-03 at 20:00, Manuel Soto wrote:
> I've 8.1 but should by the same.
>
> Try this
>
> == /etc/ppp/options
> options
> # route local requests to the internet
> defaultroute
> # accept dynamic IPs given by the ISP
> ipcp-accept-remote
> ipcp-accept-local
> # fine. Now make sure pppd hangs up when
> # idle for too long. Here testing with 30 sec
> idle 240
> #Specifies that pppd should create a UUCP-style lock file
> lock
> #Specifies how many seconds to wait before re-initi�
> # ating the link after it terminates.
> holdoff 5
> == /etc/ppp/chap-secrets
> # Secrets for authentication using CHAP
> # client server secret IP addresses
> # Added by linuxconf
> youruser * yourpassword *
> == pap-secrets
> just link to /etc/ppp/chap-secrets as
> ln /etc/ppp/chap-secrets /etc/ppp/pap-secrets
> == /etc/ppp/modem
> modem 115200 crtscts
> == /etc/peers/isp (you my change it)
> connect "/usr/sbin/chat -v -f /etc/sysconfig/network-scripts/chat-isp"
> noauth
> user youruser <--- change it
> noipdefault
> demand
> defaultroute
> holdoff 5
> idle 120
> /dev/modem
> usepeerdns
#add 2 valid IPs like ifconfig display example...
200.44.74.220:200.44.0.39
> == /etc/sysconfig/network-scripts/chat-isp
> 'TIMEOUT' '40'
> 'ABORT' 'BUSY'
> 'ABORT' 'ERROR'
> 'ABORT' 'NO CARRIER'
> 'ABORT' 'NO DIALTONE'
> 'ABORT' 'Invalid Login'
> 'ABORT' 'Login incorrect'
> 'ABORT' 'Authentication failed'
> '' 'AT'
> 'OK' 'ATZ'
> 'OK' 'ATX3'
> 'OK' 'AT&F1'
> 'OK' 'ATDT2769000' <---- change it
> 'CONNECT' ''
> == /etc/sysconfig/pppd.default
> # (c) Manuel Soto
> # [EMAIL PROTECTED]
> # the first is the ISP by default
> # swap lines as required
>
> coolcard # Coolcard <--- yor default ISP
> telcel # Telcel.net.ve <--- other ISP
>
> == /etc/init.d/pppd
> #!/bin/sh
> #
> # pppd This shell script takes care of starting and stopping
> # ppp connections
> #
> # description: pppd is the ppp denmon
> #
> # processname: pppd
> # config: /etc/ppp
> # pidfile: /var/run/pppd.pid
>
> # Source function library.
> . /etc/rc.d/init.d/functions
>
> # Source networking configuration.
> . /etc/sysconfig/network
>
>
> # Check that networking is up.
> [ ${NETWORKING} = "no" ] && exit 0
>
> [ -f /usr/sbin/pppd ] || exit 0
>
> RETVAL=0
>
> # See how we were called.
> case "$1" in
> start)
> # Start daemons.
>
> echo -n "Starting pppd: "
> ISP=`sed -e 's/#.*$//' -e 's/^ *#//' -e '/^#/d' -e '/^$/d'<
> /etc/sysconfig/pppd.default|head -1`
> daemon /usr/sbin/pppd call $ISP
> RETVAL=$?
> echo
> [ $RETVAL -eq 0 ] && touch /var/lock/subsys/pppd
> ;;
> stop)
> # Stop daemons.
> echo -n "Shutting down pppd: "
> killproc pppd
> RETVAL=$?
> echo
> [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/pppd
> ;;
> restart|reload)
> $0 stop
> $0 start
> RETVAL=$?
> ;;
> status)
> status pppd
> RETVAL=$?
> ;;
> *)
> echo "Usage: pppd {start|stop|restart|status}"
> exit 1
> esac
>
> exit $RETVAL
> ==========
> On Mon, 2002-06-03 at 18:49, Mark Annandale wrote:
> > Hi Guys
> >
> > Could someone possibly point me at a tutorial to set up dial on demand with
> > Mandrake 8.2 ?
> >
> > I would like a couple of 'doze pc's at home to connect to the net via my Linux
> > box, just for surfing.
> >
> > Thanks
> >
> > Regards
> >
> > Mark A
> >
> > ----
> >
>
> > Want to buy your Pack or Services from MandrakeSoft?
> > Go to http://www.mandrakestore.com
>
>
> ----
>
> Want to buy your Pack or Services from MandrakeSoft?
> Go to http://www.mandrakestore.com
Want to buy your Pack or Services from MandrakeSoft?
Go to http://www.mandrakestore.com